## libgnatcoll-bindings 23.0.0

=== debian/changelog ===
libgnatcoll-bindings (23.0.0-6) unstable; urgency=medium

  * Break/Replace libgnatcoll-*-dev since oldstable.
    Closes: #1034917, #1034919, #1034928, #1034940, #1034974, #1034991, #1035002.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:52:30 +0200

libgnatcoll-bindings (23.0.0-5) unstable; urgency=medium

  * Let the python -dev depend on the python version it is built with
    (3.11) instead of the local default (3.10 during autopkgtests).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Jan 2023 23:03:37 +0000

libgnatcoll-bindings (23.0.0-4) unstable; urgency=medium

  * Adapt PyFrameObject accessors to python/3.11.  Closes: #1027843.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 04 Jan 2023 13:52:00 +0000

libgnatcoll-bindings (23.0.0-3) unstable; urgency=medium

  * Let each -dev package depend on the original C -dev (fixing autopkgtests).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 16:03:23 +0000

libgnatcoll-bindings (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:25:17 +0100

libgnatcoll-bindings (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Nov 2022 01:14:18 +0000

libgnatcoll-bindings (23~20220814-1) experimental; urgency=medium

  * New upstream snapshot applying a few patches.
  * Update for dh-ada-library 8.1.
  * Add an unversioned python project wrapper for python3.
  * Patch removing gprinstall artifacts from projects
    (in order no to install gprinstall during -indep builds).
  * The gnatcoll project now generated by gprinstall *does*
    set So_Ext.  Drop the related patch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Aug 2022 16:55:07 +0000

libgnatcoll-bindings (23~20220315-1) experimental; urgency=medium

  * Build upstream snapshot with gnat-12 for experimental.
    Increase ALI versions in -dev package names, but no SO version.
  * Apply build flags to a forgotten source.
  * Forward some patches.
  * rules: use DEB_GNAT_VERSION from debian_packaging.mk.
    Prefer execute_before_dh_ to override_dh_ and --remaining-packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Aug 2022 12:46:05 +0000
