## libgnatcoll-bindings 24.0.0

=== debian/changelog ===
libgnatcoll-bindings (24.0.0-2build2.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 07:28:25 +0200

libgnatcoll-bindings (24.0.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:58:25 +1100

libgnatcoll-bindings (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild with gnat-13 13.2.0-21.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 22:14:53 +0100

libgnatcoll-bindings (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of the deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 15:08:49 +0100

libgnatcoll-bindings (24.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Rename library packages with new shared object names because of gnat-13.
  * Improve readability of debian/rules.
  * Lintian: fix changelog formatting, update patch metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Oct 2023 10:03:58 +0000

libgnatcoll-bindings (23.0.0-7) experimental; urgency=medium

  * Build in experimental with dh-ada-library >= 9 and gnat >= 13
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Replace debhelper overrides with small files for now unversioned -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 23:55:33 +0000
