=== debian/changelog ===
libgnatcoll-bindings (25.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Eplicitly build-depend on g++-14 to match the gnat version.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Feb 2026 10:39:23 +0100

libgnatcoll-bindings (25.0.0-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:11:32 +0000

libgnatcoll-bindings (25.0.0-2build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:18 +0200

libgnatcoll-bindings (25.0.0-2build1) questing; urgency=medium

  * No-change with SOURCE_DATE_EPOCH fixed in libgnatprj-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 17:43:42 +0000

libgnatcoll-bindings (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 22:05:40 +0100

libgnatcoll-bindings (25.0.0-1) experimental; urgency=medium

  * Build with gnat-14 for experimental.
  * Add libgnatcoll-cpp{-dev,1} binary packages for a new library.
  * Replace CFLAGS with CPPFLAGS for C++ compilations.
  * Replace gnatcoll_core.gpr (not packaged yet) with gnatcoll.gpr.
  * Fix version control repository URLs in upstream/metadata.
  * Let gbp clone also import upstream history.
  * Enable salsa continuous integration via salsa-ci.yml.
  * Use pristine-tar for reproducible upstream archives.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 20:53:27 +0000
