=== debian/control ===
--- 
+++ 
@@ -4,31 +4,33 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
- gprbuild (>= 2021.0.0.0778b109-2),
+ gnat,
+ gnat-14,
+ g++-14,
+ gprbuild (>= 2025.0.0-2),
 # Implicit libc6-dev provides: iconv, omp, syslog.
  libgmp-dev,
-# gnatcoll.gpr defines So_Ext:
- libgnatcoll21-dev (>= 23~20220803-2),
- pkg-config,
+ libgnatcoll-dev,
+ pkgconf,
  python3-dev,
  libpython3-dev,
  libreadline-dev,
  liblzma-dev,
  zlib1g-dev,
 Homepage: https://github.com/AdaCore/gnatcoll-bindings
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git
 
 ######################################################################
 
-Package: libgnatcoll-python3-2-dev
-Breaks: libgnatcoll-python3-1-dev
-Replaces: libgnatcoll-python3-1-dev
+Package: libgnatcoll-python3-dev
+Breaks: libgnatcoll-python3-1-dev, libgnatcoll-python3-2-dev
+Replaces: libgnatcoll-python3-1-dev, libgnatcoll-python3-2-dev
+Provides: ${ada:Provides}
 Architecture: any
 # The Python version we were built with may differ from the default.
 Depends: ${misc:Depends}, ${ada:Depends}, libpython${python-version}-dev,
@@ -42,7 +44,7 @@
  This package contains the static library and Ada specifications
  adding Python as scripting language.
 
-Package: libgnatcoll-python3-1
+Package: libgnatcoll-python3-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,9 +61,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-iconv21-dev
-Breaks: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev, libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev
-Replaces: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev, libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev
+Package: libgnatcoll-iconv-dev
+Breaks: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev,
+ libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev, libgnatcoll-iconv21-dev
+Replaces: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev,
+ libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev, libgnatcoll-iconv21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for Iconv character encoding conversions (development)
@@ -74,7 +79,7 @@
  This package contains the static library and Ada specifications for
  the binding with the Iconv character encoding conversion library.
 
-Package: libgnatcoll-iconv20
+Package: libgnatcoll-iconv21
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -91,9 +96,14 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline21-dev
-Breaks: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev, libgnatcoll-readline19-dev, libgnatcoll-readline20-dev
-Replaces: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev, libgnatcoll-readline19-dev, libgnatcoll-readline20-dev
+Package: libgnatcoll-readline-dev
+Breaks: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev,
+ libgnatcoll-readline19-dev, libgnatcoll-readline20-dev,
+ libgnatcoll-readline21-dev
+Replaces: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev,
+ libgnatcoll-readline19-dev, libgnatcoll-readline20-dev,
+ libgnatcoll-readline21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, libreadline-dev,
 Description: Ada binding for ReadLine input history (development)
@@ -106,7 +116,7 @@
  This package contains the static library and Ada specifications
  for the binding with GNU readline and history libraries.
 
-Package: libgnatcoll-readline20
+Package: libgnatcoll-readline21
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -123,9 +133,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-gmp21-dev
-Breaks: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev, libgnatcoll-gmp20-dev
-Replaces: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev, libgnatcoll-gmp20-dev
+Package: libgnatcoll-gmp-dev
+Breaks: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev,
+ libgnatcoll-gmp20-dev, libgnatcoll-gmp21-dev
+Replaces: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev,
+ libgnatcoll-gmp20-dev, libgnatcoll-gmp21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, libgmp-dev,
 Description: Ada binding for GMP big numbers (development)
@@ -138,7 +151,7 @@
  This package contains the static library and Ada specifications
  for a binding with the GNU Multiple Precision arithmetic C library.
 
-Package: libgnatcoll-gmp20
+Package: libgnatcoll-gmp21
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -154,9 +167,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-syslog5-dev
-Breaks: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev, libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev
-Replaces: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev, libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev
+Package: libgnatcoll-syslog-dev
+Breaks: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev,
+ libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev, libgnatcoll-syslog5-dev
+Replaces: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev,
+ libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev, libgnatcoll-syslog5-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for syslog journals (development)
@@ -169,7 +185,7 @@
  This package contains the static library and Ada specifications
  for an interface to the syslog journal manager daemon.
 
-Package: libgnatcoll-syslog3
+Package: libgnatcoll-syslog4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -185,9 +201,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-lzma4-dev
-Breaks: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev, libgnatcoll-lzma4-dev
-Replaces: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev, libgnatcoll-lzma4-dev
+Package: libgnatcoll-lzma-dev
+Breaks: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev,
+ libgnatcoll-lzma4-dev
+Replaces: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev,
+ libgnatcoll-lzma4-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, liblzma-dev,
 Description: Ada binding for LZMA compression (development)
@@ -200,7 +219,7 @@
  This package contains the static library and Ada specifications
  for the binding with the lzma compression library.
 
-Package: libgnatcoll-lzma2
+Package: libgnatcoll-lzma3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -216,9 +235,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-zlib4-dev
-Breaks: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev, libgnatcoll-zlib4-dev
-Replaces: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev, libgnatcoll-zlib4-dev
+Package: libgnatcoll-zlib-dev
+Breaks: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev,
+ libgnatcoll-zlib4-dev
+Replaces: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev,
+ libgnatcoll-zlib4-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, zlib1g-dev,
 Description: Ada binding for Zlib compression (development)
@@ -231,7 +253,7 @@
  This package contains the static library and Ada specifications
  for the binding with the zlib compression library.
 
-Package: libgnatcoll-zlib2
+Package: libgnatcoll-zlib3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -247,9 +269,10 @@
 
 ######################################################################
 
-Package: libgnatcoll-omp3-dev
-Breaks: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev
-Replaces: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev
+Package: libgnatcoll-omp-dev
+Breaks: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev, libgnatcoll-omp3-dev
+Replaces: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev, libgnatcoll-omp3-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for OpenMP parallelism (development)
@@ -262,15 +285,6 @@
  This package contains the static library and Ada specifications
  for the binding with the OpenMP parallelism library.
 
-Package: libgnatcoll-omp1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Description: Ada binding for OpenMP parallelism (runtime)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
+Package: libgnatcoll-omp2
+Section: libs
+Architecture: any
