=== debian/tests/control ===
Tests: gmp iconv python readline syslog
Depends: @, gprbuild, g++-14
